ghostscript (10.06.0~dfsg-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130127). Remaining changes:
    - New re-packaging of Ghostscript 10.06.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
    - Do not compile with Neon FPU support on 32-bit ARM (see also Debian bug
      #1012254). Otherwise we get FTBFS on armhf.
  * Dropped delta merged upstream:
    - Removed use of sphinxcontrib.googleanalytics Sphinx extension, the     extension is not available in Ubuntu.
    - SECURITY UPDATE: Information Leak
      debian/patches/CVE-2025-48708.patch: Argument sanitization handle '#' as per '='
      CVE-2025-48708
    - SECURITY UPDATE: null pointer deref on file write failure
      debian/patches/CVE-2025-7462.patch: catch a null file pointer closing
      pdfwrite in devices/vector/gdevpdf.c.
      CVE-2025-7462
    - SECURITY UPDATE: stack overflow in pdf_write_cmap
      debian/patches/CVE-2025-59798.patch: use dynamically allocated buffer
      and check return codes in devices/vector/gdevpdtw.c.
      CVE-2025-59798
    - SECURITY UPDATE: stack overflow in pdfmark_coerce_dest
      debian/patches/CVE-2025-59799.patch: bounds check some strings in
      devices/vector/gdevpdfm.c.
      CVE-2025-59799
    - SECURITY UPDATE: heap overflow in ocr_begin_page
      debian/patches/CVE-2025-59800.patch: fix int overflow in
      devices/gdevpdfocr.c.
      CVE-2025-59800
    - Build with -std=gnu17 to avoid FTBFS with GCC 15 (LP #2124948)
  * Build with fpic to avoid FTBFS

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Jan 2026 22:07:12 -0500

ghostscript (10.06.0~dfsg-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [703426f] Remove -Werror=declaration-after-statement to
    fix build on armhf.
  * [9258e4c] Fix two booleans that were meant to be integers

 -- Steve M. Robbins <smr@debian.org>  Tue, 30 Sep 2025 19:08:44 -0500

ghostscript (10.06.0~dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [f3af481] Patch calls to check_64bit_multiply().
  * [da00d5b] Wrap overlong changelog line.

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Sep 2025 21:47:31 -0500

ghostscript (10.06.0~dfsg-1) unstable; urgency=medium

  * New upstream version
    - Closes: #1116443, #1116444.
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
    Update lintian override info format in d/source/lintian-overrides
    on line 2-12, 15.
  * [c267038] Remove patches applied upstream

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Sep 2025 08:37:38 -0500

ghostscript (10.05.1~dfsg-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [fb1ee5b] Fixes for C23.
  * [4a94390] Additional fixes for C23.  Closes: #1096702

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Sep 2025 21:25:01 -0500

ghostscript (10.05.1~dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [a7443cd] Upstream fix for CVE-2025-7462.  Closes: #1109270.
  * [510df70] Apply upstream patch that closes: #1101348.

 -- Steve M. Robbins <smr@debian.org>  Sun, 24 Aug 2025 14:57:41 -0500

ghostscript (10.05.1~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [592d479] New upstream version 10.05.1~dfsg

 -- Steve M. Robbins <smr@debian.org>  Sun, 04 May 2025 21:32:27 -0500

ghostscript (10.05.0dfsg1-0ubuntu5) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:17:32 +0100

ghostscript (10.05.0dfsg1-0ubuntu4) questing; urgency=medium

  * SECURITY UPDATE: null pointer deref on file write failure
    - debian/patches/CVE-2025-7462.patch: catch a null file pointer closing
      pdfwrite in devices/vector/gdevpdf.c.
    - CVE-2025-7462
  * SECURITY UPDATE: stack overflow in pdf_write_cmap
    - debian/patches/CVE-2025-59798.patch: use dynamically allocated buffer
      and check return codes in devices/vector/gdevpdtw.c.
    - CVE-2025-59798
  * SECURITY UPDATE: stack overflow in pdfmark_coerce_dest
    - debian/patches/CVE-2025-59799.patch: bounds check some strings in
      devices/vector/gdevpdfm.c.
    - CVE-2025-59799
  * SECURITY UPDATE: heap overflow in ocr_begin_page
    - debian/patches/CVE-2025-59800.patch: fix int overflow in
      devices/gdevpdfocr.c.
    - CVE-2025-59800

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2025 12:14:26 -0400

ghostscript (10.05.0dfsg1-0ubuntu3) questing; urgency=medium

  * Build with -std=gnu17 to avoid FTBFS with GCC 15 (LP: #2124948)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 24 Sep 2025 14:24:58 +0000

ghostscript (10.05.0dfsg1-0ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2025-48708.patch: Argument sanitization handle
      '#' as per '='
    - CVE-2025-48708

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 03 Jul 2025 15:29:54 +1000

ghostscript (10.05.0dfsg1-0ubuntu1) plucky; urgency=low

  * New upstream version 10.05.0dfsg1

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Mar 2025 22:22:22 +0100

ghostscript (10.05.0~rc1~dfsg1-0ubuntu1) plucky; urgency=low

  * New upstream version 10.05.0~rc1~dfsg1
  * Refreshed patches.
  * Removed use of sphinxcontrib.googleanalytics Sphinx extension, the
    extension is not available in Ubuntu.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Feb 2025 18:35:22 +0100

ghostscript (10.05.0~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [825db8d] New upstream version 10.05.0~dfsg.
    - Doc fixes; closes: #1092118, #1090082, #1089859, #1076834.
    - Fix armel generation; closes: #1085120.
    - Fix xml attachment; closes: #1091182.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Mar 2025 15:03:16 -0500

ghostscript (10.04.0~dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.04.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
    - Do not compile with Neon FPU support on 32-bit ARM (see also Debian bug
      #1012254). Otherwise we get FTBFS on armhf.
  * Drop CVE* patches, included upstream.
  * Refreshed remaining patches with quilt.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 13 Feb 2025 22:22:22 +0100

ghostscript (10.04.0~dfsg-2) unstable; urgency=medium

  [ Brian Clinkenbeard ]
  * [e88d528] Use nodoc and nocheck build profiles.  Closes: #1079668.

  [ Steve Robbins ]
  * [1daaa82] Create links for example files PDF{A,X}_def.ps in
    /usr/share/doc/libgs10/examples.  Closes: #961909.
  * [d7e5887] mailcap entry supplied by Kevin Ryde.  Closes: #723712.

 -- Steve M. Robbins <smr@debian.org>  Wed, 27 Nov 2024 22:59:03 -0600

ghostscript (10.04.0~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [c78073e] New upstream version 10.04.0~dfsg
  * [6e6562a] Remove upstream patch, now applied.

 -- Steve M. Robbins <smr@debian.org>  Sat, 21 Sep 2024 18:22:44 -0500

ghostscript (10.03.1~dfsg1-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for libpaper.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 22 Dec 2024 15:02:26 +0000

ghostscript (10.03.1~dfsg1-0ubuntu3) plucky; urgency=medium

  * SECURITY UPDATE: incorrect Pattern Implementation type handling
    - debian/patches/CVE-2024-46951.patch: check the type of the Pattern
      Implementation in psi/zcolor.c.
    - CVE-2024-46951
  * SECURITY UPDATE: Buffer overflow in PDF XRef stream
    - debian/patches/CVE-2024-46952.patch: sanitise W array values in Xref
      streams in pdf/pdf_xref.c.
    - CVE-2024-46952
  * SECURITY UPDATE: output filename overflow
    - debian/patches/CVE-2024-46953.patch: check for overflow validating
      format string for the output file name in base/gsdevice.c.
    - CVE-2024-46953
  * SECURITY UPDATE: directory escape via overlong encodings
    - debian/patches/CVE-2024-46954.patch: fix decode_utf8 to forbid
      overlong encodings in base/gp_utf8.c.
    - CVE-2024-46954
  * SECURITY UPDATE: Out of bounds read when reading color
    - debian/patches/CVE-2024-46955.patch: check Indexed colour space index
      in psi/zcolor.c.
    - CVE-2024-46955
  * SECURITY UPDATE: incorrect buffer length check
    - debian/patches/CVE-2024-46956.patch: fix length check in psi/zfile.c.
    - CVE-2024-46956

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 Nov 2024 11:08:51 -0500

ghostscript (10.03.1~dfsg1-0ubuntu2) oracular; urgency=low

  * Do not compile with Neon FPU support on 32-bit ARM (see also Debian bug
    #1012254). Otherwise we get FTBFS on armhf.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 12 Aug 2024 00:00:01 +0200

ghostscript (10.03.1~dfsg1-0ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.03.1, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
  * Drop CVE* patches, included upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 10 Aug 2024 20:46:21 +0200

ghostscript (10.03.1~dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [47970c5] Upstream fix for gcc-14 build error.  Closes: #1074996.

 -- Steve M. Robbins <smr@debian.org>  Wed, 24 Jul 2024 18:47:50 -0500

ghostscript (10.03.1~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [a82a848] New upstream version 10.03.1~dfsg

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 May 2024 22:22:53 -0500

ghostscript (10.03.1~dfsg~git20240518-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [2e5797b] New upstream version 10.03.1~dfsg~git20240518, built from
    upstream git commit 7145885041bb52cc23964f0aa2aec1b1c82b5908

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 May 2024 19:24:20 -0500

ghostscript (10.03.0~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [d50c139] Add "breaks" relationship with manpages-l10n to transition
    German manpages. Closes: #1065396.
  * [9adc766] Simplify ps2ascii script. Closes: #992893.
  * [15664c9] New upstream version 10.03.0~dfsg
  * [2396e20] Remove 0001_fix_pagelist.patch, applied in new version.
  * [e3b0739] Add build-dep on python3-sphinx-copybutton
  * [ff6b89f] Fix break relationship versioning.
  * [2020bbc] Update obsolete dependency package names.

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Mar 2024 22:44:42 -0500

ghostscript (10.02.1~dfsg1-0ubuntu9) oracular; urgency=medium

  * debian/patches/CVE-2024-29511-2.patch: original fix was overly
    aggressive in devices/gdevocr.c, devices/gdevpdfocr.c,
    devices/vector/gdevpdf.c, devices/vector/gdevpdfp.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Jul 2024 12:25:28 -0400

ghostscript (10.02.1~dfsg1-0ubuntu8) oracular; urgency=medium

  [ Marc Deslauriers }
  * SECURITY UPDATE: stack-based buffer overflow via long PDF filter name
    - debian/patches/CVE-2024-29506.patch: don't allow PDF files with bad
      Filters to overflow the debug buffer in pdf/pdf_file.c.
    - CVE-2024-29506
  * SECURITY UPDATE: stack-based buffer overflows
    - debian/patches/CVE-2024-29507.patch: bounds checks when using CIDFont
      related params in pdf/pdf_font.c, pdf/pdf_warnings.h.
    - CVE-2024-29507
  * SECURITY UPDATE: heap-based pointer disclosure via constructed BaseFont
    name
    - debian/patches/CVE-2024-29508.patch: review printing of pointers in
      base/gsfont.c, base/gsicc_cache.c, base/gsmalloc.c, base/gxclmem.c,
      base/gxcpath.c, base/gxpath.c, base/szlibc.c, devices/gdevupd.c,
      devices/vector/gdevpdtb.c, psi/ialloc.c, psi/igc.c, psi/igcstr.c,
      psi/iinit.c, psi/imainarg.c, psi/isave.c, psi/iutil.c.
    - debian/patches/CVE-2024-29508-2.patch: fix compiler warning in
      optimised build in base/gsicc_cache.c.
    - debian/patches/CVE-2024-29508-3.patch: remove extra arguments in
      devices/gdevupd.c.
    - CVE-2024-29508
  * SECURITY UPDATE: heap-based overflow via PDFPassword with null byte
    - debian/patches/CVE-2024-29509.patch: don't use strlen on passwords in
      pdf/pdf_sec.c.
    - CVE-2024-29509
  * SECURITY UPDATE: directory traversal issue via OCRLanguage
    - debian/patches/CVE-2024-29511.patch: reject OCRLanguage changes after
      SAFER enabled in devices/gdevocr.c, devices/gdevpdfocr.c,
      devices/vector/gdevpdfp.c.
    - CVE-2024-29511

  [ Chris Kim ]
  * SECURITY UPDATE: Arbitrary code execution via uniprint device
    - debian/patches/CVE-2024-29510.patch: Prevent changes to uniprint device
      argument strings after SAFER is activated in gdevupd.c.
    - CVE-2024-29510
  * SECURITY UPDATE: Path traversal and arbitrary code execution via improperly
    checked path arguments
    - debian/patches/CVE-2024-33869-part1.patch: Check that a current working
      directory specifier is valid before stripping it from gpmisc.c.
    - debian/patches/CVE-2024-33869-part2.patch: Check that a current working
      directory specifier is valid before stripping it from gpmisc.c.
    - CVE-2024-33869
  * SECURITY UPDATE: Path traversal via improperly checked path arguments
    - debian/patches/CVE-2024-33870.patch: Add a check for parent directory
      prefixes when handling relative paths in gpmisc.c.
    - CVE-2024-33870
  * SECURITY UPDATE: Arbitrary code execution via custom driver library
    - debian/patches/CVE-2024-33871.patch: Prevent changes to parameter that 
      specifies the names of dynamic libraries to be loaded by the opvp/oprp
      device in gdevopvp.c
    - CVE-2024-33871

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Jul 2024 13:28:20 -0400

ghostscript (10.02.1~dfsg1-0ubuntu7) noble; urgency=high

  * No change rebuild against libcups2t64, libpng16-16t64, libxt6t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:39:44 +0200

ghostscript (10.02.1~dfsg1-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 23:49:24 +0000

ghostscript (10.02.1~dfsg1-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:48:31 +1300

ghostscript (10.02.1~dfsg1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:49:00 +0000

ghostscript (10.02.1~dfsg1-0ubuntu3) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.02.1, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.

  [ наб ]
  * [ee3d1ac] Simplify /sbin/update-gsfontmap (Closes: #992889)

  [ Steve Robbins ]
  * [ccc0e3c] Explicitly set font map files to be world readable.
    Closes: #740959.
  * [5fce3d3] Add suggestion for package texlive-binaries, needed to use dvipdf. Closes: #782901.
  * [9ab8028] ghostscript: add conflicts to ghostcript-x to allow removal of the obsolete transitional package. Closes: #1053377

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 29 Feb 2024 01:30:05 +0100

ghostscript (10.02.1~dfsg1-0ubuntu2) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.02.1, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.

  [ Steve Robbins ]
  * [4b077b5] Incorporate upstream patch to fix PageList processing in PDF
    handler.  Closes: #1052652
  * [b4524f9] New maintainer.  Closes: #1022718, #1036869.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 06 Jan 2024 19:16:05 -0300

ghostscript (10.02.1~dfsg1-0ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.02.1, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
  * Drop CVE* patches, included upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 07 Dec 2023 19:05:05 +0100

ghostscript (10.02.1~dfsg-3) unstable; urgency=medium

  [ наб ]
  * [ee3d1ac] Simplify /sbin/update-gsfontmap (Closes: #992889)

  [ Steve Robbins ]
  * [ccc0e3c] Explicitly set font map files to be world readable.
    Closes: #740959.
  * [5fce3d3] Add suggestion for package texlive-binaries, needed to use
    dvipdf. Closes: #782901.
  * [9ab8028] ghostscript: add conflicts to ghostcript-x to allow removal of
    the obsolete transitional package. Closes: #1053377

 -- Steve M. Robbins <smr@debian.org>  Sat, 20 Jan 2024 15:44:07 -0600

ghostscript (10.02.1~dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [4b077b5] Incorporate upstream patch to fix PageList processing in PDF
    handler.  Closes: #1052652
  * [b4524f9] New maintainer.  Closes: #1022718, #1036869.

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Jan 2024 01:16:23 -0600

ghostscript (10.02.1~dfsg-1) unstable; urgency=medium

  * QA upload

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Nov 2023 08:36:16 +0100

ghostscript (10.02.0~dfsg-2) unstable; urgency=medium

  * QA upload

  * declare that ghostscript replaces older ghostscript-x

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Sep 2023 06:37:04 +0200

ghostscript (10.02.0~dfsg-1) unstable; urgency=medium

  * QA upload

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * refresh patches;
    update DEP-3 patch headers
  * drop obsolete binary packages ghostscript-x libgs9-common;
    have binary package ghostscript provide ghostscript-x

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Sep 2023 20:18:16 +0200

ghostscript (10.01.2~dfsg1-0ubuntu2.1) mantic-security; urgency=medium

  * SECURITY UPDATE: code execution via PS documents and IJS device
    - debian/patches/CVE-2023-43115.patch: prevent PostScript programs
      switching to the IJS device after SAFER has been activated in
      devices/gdevijs.c.
    - CVE-2023-43115

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Oct 2023 08:59:19 -0400

ghostscript (10.01.2~dfsg1-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-38559.patch: bounds check the buffer prior to
      deferencing the pointer in devn_pcx_write_rle() in base/gdevdevn.c.
    - CVE-2023-38559

 -- Allen Huang <allen.huang@canonical.com>  Thu, 21 Sep 2023 17:06:57 +0200

ghostscript (10.01.2~dfsg1-0ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.00.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 16 Aug 2023 21:08:15 +0200

ghostscript (10.01.2~dfsg-1) unstable; urgency=medium

  * QA upload

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check to avoid insecure shell expansion
  * fix source helper tool copyright-check to work with Path::Tiny 0.144
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: extend repackaging to exclude images containing
    non-DFSG ICC profile
  * drop patches obsoleted by upstream changes
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Jun 2023 08:15:42 +0200

ghostscript (10.0.0~dfsg1-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: incorrect permission validation for pipe devices
    - debian/patches/CVE-2023-36664-1.patch: don't reduce pipe file names
      for permission validation in base/gpmisc.c, base/gslibctx.c.
    - debian/patches/CVE-2023-36664-2.patch: fix logic and add extra test
      in base/gpmisc.c, base/gslibctx.c.
    - CVE-2023-36664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jul 2023 12:45:07 -0400

ghostscript (10.0.0~dfsg1-0ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2023-28879.patch: add check to make sure that the
      buffer has space for two characters in s_xBCPE_process() in base/sbcp.c.
    - debian/patches/CVE-2023-28879-post.patch: add PostScript filters
      removals in Resource/Init/gs_init.ps.
    - CVE-2023-28879

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 25 Apr 2023 16:29:39 -0300

ghostscript (10.0.0~dfsg1-0ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.00.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Just mark all libtesseract symbols optional and be done with it.
      They are also arch-specific so causing build failures on non-x86.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
    - Upstream patch (commit 387f094) for the CUPS/PWG/Apple Raster
      output device not to match custom page sizes against the sizes defined
      in the PPD file, to avoid unwished rotations or size adjustments.
      (cups-filters upstream issue #484).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Feb 2023 18:39:15 +0100

ghostscript (10.0.0~dfsg-11) unstable; urgency=medium

  * QA upload.
  * Prevent buffer overrun in (T)BCP encoding (CVE-2023-28879)
    (Closes: #1033757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Apr 2023 09:48:32 +0200

ghostscript (10.0.0~dfsg-10) unstable; urgency=medium

  * QA upload.
  * Add patch from upstream to fix cross build. Closes: #717825

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 20 Mar 2023 09:12:00 +0100

ghostscript (10.0.0~dfsg-9) unstable; urgency=medium

  * QA upload.
  * Build docs with sphinx. Closes: #1024896, #1024964

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 12 Dec 2022 07:45:09 +0100

ghostscript (10.0.0~dfsg-8) unstable; urgency=medium

  * QA upload
  * debian/: No longer build with dynamic modules (Closes: #1023330)
    - X11 support is now part of ghostscript and ghostcript-x is a
      transitional package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Dec 2022 16:00:05 +0100

ghostscript (10.0.0~dfsg-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + ghostscript-x: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 04:28:59 +0000

ghostscript (10.0.0~dfsg-6) unstable; urgency=medium

  * QA upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Oct 2022 12:31:22 +0200

ghostscript (10.0.0~dfsg-5) experimental; urgency=medium

  * QA upload
  * debian/: Partially revert the changes from 10.0.0~dfsg-2
    - Move version-specific files back to libgs10-common
    - Keep non-version-specific ICC profiles in libgs-common
    - Add libgs9-common transitional package for packages requiring the ICC
      profiles
  * debian/rules: Use no longer necessary dh_strip override
  * debian/control: Remove unnecessary ${shlibs:Depends}

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Oct 2022 01:19:27 +0200

ghostscript (10.0.0~dfsg-4) unstable; urgency=medium

  * orphan package: set maintainer to Debian QA Group

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Oct 2022 13:54:55 +0200

ghostscript (10.0.0~dfsg-3) unstable; urgency=medium

  * build-depend on dh-sequence-pkgkde-symbolshelper
    (not pkg-kde-tools)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Oct 2022 20:21:55 +0200

ghostscript (10.0.0~dfsg-2) experimental; urgency=medium

  * provide binary package libgs-common (not libgs10-common),
    and have it break and replace libgs9-common;
    closes: bug#1020846, thanks to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Sep 2022 15:53:11 +0200

ghostscript (10.0.0~dfsg-1) experimental; urgency=medium

  * update copyright-check:
    + declare metadata extensions separately from use
    + update coverage
  * drop patch 1001 to support cross build, adopted upstream
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1
  * unfuzz patches
  * bump library packages for new SONAME

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Sep 2022 14:40:36 +0200

ghostscript (9.56.1~dfsg1-0ubuntu3) kinetic; urgency=low

  * Added upstream patch (commit 387f094) for the CUPS/PWG/Apple Raster
    output device not to match custom page sizes against the sizes defined
    in the PPD file, to avoid unwished rotations or size adjustments.
    (cups-filters upstream issue #484).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 25 Sep 2022 10:26:00 +0200

ghostscript (9.56.1~dfsg1-0ubuntu2) kinetic; urgency=low

  * Added upstream patch (commit 2a54c67) to use stable memory for
    pdfi streams, to avoid double-free when "runpdfend" when done
    with a PDF interpreter started with "runpdfbegin". This caused the
    autopkgtest of xfig to fail (Upstream bugs #705855, #705836, #705210).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 08 Sep 2022 13:00:00 +0200

ghostscript (9.56.1~dfsg1-0ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.56.1, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Just mark all libtesseract symbols optional and be done with it.
      They are also arch-specific so causing build failures on non-x86.
  * Added upstream patch (commit 1f876cf) to have Ghostscript's
    "cups"/"pwgraster"/"appleraster"/"urf" output devices support working
    fully PPD-less, allowing to supply all parameters by command line. This
    makes the transition to cups-filters 2.x in Ubuntu 23.04 easier.
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Aug 2022 22:00:00 +0200

ghostscript (9.56.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix text rendering mode 3 and pdfwrite;
      closes: bug#1009680, thanks to Paul Gevers and others

  [ Jonas Smedegaard ]
  * fix watch file
  * update symbols: 1 private symbol added

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Apr 2022 22:47:35 +0200

ghostscript (9.56.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop superfluous lintian overrides
  * New upstream version 9.56.0~dfsg
  * update symbols:
    + 56 private symbols added
    + 23 private symbols dropped
  * use semantic newlines in long descriptions

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Mar 2022 11:51:53 +0200

ghostscript (9.56.0~~rc2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2022 09:09:26 +0100

ghostscript (9.56.0~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * update copyright info:
    + add Reference and improve Comment
      for files covered by project-wide terms
    + fix interpret unversioned GPL/LGPL to mean any version
    + use multiple separate License-Grant fields
      (not multiple texts in one field, delimited by [...]
      which is hard to distinguish when parsing by a machine)
    + sort License sections alphabetically
    + fix drop bogus Files section
      (likely due to a false positive in older licensecheck
      flagging the word Adobe as a license grant)
    + fix avoid complex shell globbing in file listings
      (leftover from pre-1.0 file format)
    + update coverage
  * update lintian overrides regarding license shortnames
  * tighten lintian overrides
  * drop patches cherry-picked upstream now applied
  * drop patch 1003 adopted upstream
  * drop patch 2009 obsoleted by upstream changes;
    stop have ghostscript-doc depend on libjs-jquery
  * update and unfuzz patches
  * update Maintainer and Vcs-* fields, and drop Uploaders:
    package now maintained in collaborative debian area of Salsa

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2022 21:47:41 +0100

ghostscript (9.55.0~dfsg1-0ubuntu5) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:54:34 +0100

ghostscript (9.55.0~dfsg1-0ubuntu4) jammy; urgency=medium

  * Just mark all libtesseract symbols optional and be done with it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 21:21:02 +0000

ghostscript (9.55.0~dfsg1-0ubuntu3) jammy; urgency=medium

  * Mark as optional various symbols which are leaked from the embedded
    tesseract library and are not part of the public API, and which are also
    arch-specific so causing build failures on non-x86.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 20:27:02 +0000

ghostscript (9.55.0~dfsg1-0ubuntu2) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Updated debian/libgs9.symbols.

 -- Paride Legovini <paride@ubuntu.com>  Thu, 02 Dec 2021 12:39:37 +0100

ghostscript (9.55.0~dfsg-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix the logic for freeing X pixmap;
    really closes: bug#998888, thanks again to Florian Lindemann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Nov 2021 15:46:45 +0100

ghostscript (9.55.0~dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix gx_default_copy_alpha calling get_bits_rectangle;
    closes: bug#1000710, thanks to Hilmar Preuße

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Nov 2021 11:07:05 +0100

ghostscript (9.55.0~dfsg1-0ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Nov 2021 18:24:56 +0100

ghostscript (9.55.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied;
    unfuzz patch 2009
  * update copyright info:
    + update coverage
    + tighten lintian overrides
  * update symbols:
    + 466 private symbols added
    + 76 private symbols dropped
  * add patches cherry-picked upstream:
    + avoid freeing the background pixmap created by gv;
      closes: bug#704709, thanks to Florian Lindemann
    + fix pdfwrite encoding bugs;
      closes: bug#998458, #998461, thanks to Vincent Lefevre

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Nov 2021 17:58:29 +0100

ghostscript (9.55.0~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * update copyright info: update coverage
  * add patch 1002 proposed upstream to fix build with gpdf
  * add patch 1003 to fix failure to link against lcms2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Sep 2021 14:31:04 +0200

ghostscript (9.54.0~dfsg1-0ubuntu2) impish; urgency=medium

  * SECURITY UPDATE: Trivial -dSAFER bypass
    - debian/patches/CVE-2021-3781.patch: include device specifier strings
      in access validation in base/gdevpipe.c, base/gp_mshdl.c,
      base/gp_msprn.c, base/gp_os2pr.c, base/gslibctx.c.
    - CVE-2021-3781

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Sep 2021 07:59:00 -0400

ghostscript (9.54.0~dfsg1-0ubuntu1) impish; urgency=medium

  * New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
    tesseract convenience copies in as they are not in Ubuntu Main. Added
    appropriate remark to debian/copyright.
  * De-activated the extract library/"docxwrite" device. This did not
    build and Debian also seems to not use it. Used the --without-extract-dir
    option on ./configure for that.
  * "Downgrade" dh_missing from --fail-missing to --list-missing to
    avoid FTBFS on non-amd64 from compat 13 on
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Aug 2021 11:54:46 +0200

ghostscript (9.54.0~dfsg-5) unstable; urgency=medium

  * Revert to not mark /usr/share/ghostscript/* as not-installed:
    works but a clumsy approach
  * properly fix tracking installed files
    by expanding upstream ABI  in debhelper snippets
    (passing ABI-specific path dh_install options confuses dh_missing);
    thanks to Roderich Schupp (see bug#994270)
  * update symbols:
    + 20 private symbols added
    + 1 private symbol dropped

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 14:04:05 +0200

ghostscript (9.54.0~dfsg-4) experimental; urgency=medium

  * mark /usr/share/ghostscript/* as not-installed,
    which is clearly bogus but seems the only (simple) way
    to ignore only for arch-dependent builds;
    closes: bug#994270, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 23:55:30 +0200

ghostscript (9.54.0~dfsg-3) experimental; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * build with pkgkde-symbolshelper;
    build-depend on pkg-kde-tools

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 14:55:10 +0200

ghostscript (9.54.0~dfsg-2) experimental; urgency=medium

  * copyright-check: improve progress messages
  * Merge 9.53.3~dfsg-8:
    + add patch cherry-picked upstream
      to fix access validationaccess validation;
      closes: bug#994011;
      CVE-2021-3781
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Sep 2021 20:41:03 +0200

ghostscript (9.54.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + exclude comvenience copies
      of projects libextract, leptonica, and tesseract
    + update coverage
    + update source helper tool copyright-check:
      implement option --merge-licenses
  * drop patches cherry-picked upstream since applied
  * unfuzz patches
  * add patches cherry-picked upstream:
    + improve description of configure.ac option --with-extract-dir
    + fix magic number used in pam device
    + fix MacOS/tesseract build problems on Unix systems
    + work with latest Extract library
    + bounds check name table "string"
    + add some relevant flags to the cups compilation
    + do not lie about emitting Multiple Master fonts in psfwrite
    + add a PassThrough for JPX encoded images to pdfwrite
    + fix missing interior of rectangles (regression in 9.54.0)
    + tweak Leptonica/Tesseract memory allocators
  * add patch 1004 to enable DeviceN-related device xcfcmyk
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Jul 2021 15:07:19 +0200

ghostscript (9.53.3~dfsg-8) unstable; urgency=high

  * add patch cherry-picked upstream
    to fix access validationaccess validation;
    closes: bug#994011;
    CVE-2021-3781
  * Set urgency=high due to security fix.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Sep 2021 20:12:26 +0200

ghostscript (9.53.3~dfsg-7) unstable; urgency=medium

  * update previous changelog section, add a bug closure.
  * update source helper script copyright-check.
  * copyright: update coverage
  * add patches cherry-picked upstream:
    + re-enable support for opvp/oprp devices;
      closes: bug#980971, thanks to Chris Bainbridge
    + parse some types of broken PDFs;
      closes: bug#981583, thanks to Rogério Brito
    + fix segfault parsing large Postscript file;
      closes: bug#970878, thanks to Paul Gevers, Bernhard Übelacker,
      Iustin Pop and Stefano Rivera
  * update symbols: 4 private symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 14:18:01 +0100

ghostscript (9.53.3~dfsg-6) unstable; urgency=medium

  * copyright-check:
    + fix quote path when creating temporary skipfile
    + ignore skipfiles below debian/
    + compute robust file regex from content with regexp-assemble
    + list dependencies in header comment
  * add source helper tools
    patch-cherry-pick patch-mkseries patch-refresh-all
  * copyright:
    + update coverage
    + consistently wrap Files and Copyright paragraphs
      (sole exception being initial wildcard Files paragraph)
  * add patch cherry-picked upstream,
    and patch by Stefano Rivera,
    to fix endian issues with CMM;
    closes: bug#976177, thanks to Stefano Rivera
  * add patch 1003 to fix size check in gdevdsp;
    closes: bug#977754,
    thanks to Patrice Duroux, Pino Toscano, and others
  * declare compliance with Debian Policy 4.5.1
  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * add patch cherry-picked upstream
    to fix linking with libfreetype 2.10.3 and newer

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2020 02:51:22 +0100

ghostscript (9.53.3~dfsg-5) unstable; urgency=medium

  * simplify build routines slightly
  * tighten source script copyright-check
  * update copyright hints
  * relax tracking of symlinks to fonts-urw-base35
    to ignore file contents;
    closes: bug#972896, thanks to Fabian Greffrath

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2020 11:04:53 +0100

ghostscript (9.53.3~dfsg-4) unstable; urgency=medium

  * simplify build: rely on configure defaults
  * avoid build-depending on libcups2-dev libcupsimage2-dev for kfreebsd

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Oct 2020 16:34:30 +0200

ghostscript (9.53.3~dfsg-3) unstable; urgency=medium

  * fix arch-only build;
    closes: bug#971678, thanks to Sebastian Ramacher and Simon McVittie
  * fix revert to avoid parallel builds (see bug#971678)
  * copyright: tighten coverage of default licensed files
  * copyright-check:
    + license as GPL-3+
    + check step-wise, with some cleanup
    + check default licensed files first
  * fix build-depend on zlib1g-dev:native
    (not virtual libz-dev:native);
    closes: bug#971738, thanks to Simon McVittie

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Oct 2020 14:59:44 +0200

ghostscript (9.53.3~dfsg-2) unstable; urgency=medium

  * improve (but not fully solve) cross build support:
    + add patch 1001 to allow skipping configure during bootstrap,
      and use that during build
    + build-depend on libz-dev:native (not libz-dev)
    closes: bug#971092, thanks to Helmut Grohne
  * simplify build;
    migrate binary package ghostscript-dbg
    to automated *-dbgsym packages;
    stop build-depend on cdbs
  * fix configure additional multi-arch paths
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * unfuzz patch 2009

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Oct 2020 13:52:56 +0200

ghostscript (9.53.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * drop superfluous license hint and lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Oct 2020 12:54:33 +0200

ghostscript (9.53.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * simplify source script copyright-check
  * unfuzz patch 2009
  * update Uploaders field to reflect actual maintenance;
    thanks for your past contributions,
    Michael Gilbert and Bastien ROUCARIÈS,
    and feel free to join again

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Sep 2020 16:51:43 +0200

ghostscript (9.53.1~dfsg-2) unstable; urgency=medium

  * simple rebuild,
    to re-sync symlinks with newer release of fonts-urw-base35

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Sep 2020 11:23:43 +0200

ghostscript (9.53.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Sep 2020 17:36:04 +0200

ghostscript (9.53.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libjbig2dec0-dev
  * enable parallel build
  * update symbols:
    + 6 public symbols added
    + 45 private symbols added
    + 25 private symbols dropped

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2020 21:08:17 +0200

ghostscript (9.53.0~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * copyright: extend coverage
  * unfuzz patches (including removal of virtually empty patch 2012)
  * update and simplify resolving upstream abi

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Aug 2020 18:36:16 +0200

ghostscript (9.52.1~dfsg-1) unstable; urgency=high

  [ upstream ]
  * new release
    (CVE-2020-15900)

  [ Jonas Smedegaard ]
  * set urgency=high, due to CVE fix
  * have autoreconf use upstream bootstrapping script
  * resolve abi from upstream build scripts

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Aug 2020 17:38:01 +0200

ghostscript (9.52~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * watch:
    + simplify usage comment
    + use dversionmangle=auto
  * declare compliance with Debian Policy 4.5.0
  * trim trailing whitespace
  * wrap long lines in older changelog entries
  * use debhelper 10 (not 9);
    stop build-depend explicitly on dh-autoreconf
  * copyright: fix use field Comment (not unofficial Comments)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Mar 2020 15:52:14 +0100

ghostscript (9.51~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update symbols:
    + 20 private symbols added
    + 3 private symbols dropped

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Mar 2020 17:57:57 +0100

ghostscript (9.51~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * copyright:
    + fix cover 2 files in the public domain
    + fix cover 2 file licensed Adobe-2006
    + cover 2 files licensed GPL-3+ with Autoconf exception
    + cover 1 file licensed Expat
    + extend coverage for main copyright holder
  * drop patches cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Mar 2020 13:32:25 +0100

ghostscript (9.50~dfsg-5) unstable; urgency=medium

  * add patch cherry-picked upstream
    to add 'omitEOD' flag to RLE compressor and use for PXL;
    closes: bug#941864,
    thanks to Agustin Martin and Johannes Stezenbach

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2019 20:15:08 +0100

ghostscript (9.50~dfsg-4) unstable; urgency=medium

  * fix CVE reference in previous changelog entry
  * fix stop needlessly have ligs-dev depend on build-dependencies;
    stop build-depend on d-shlibs;
    closes: bug#945516, thanks to Thomas Loimer
  * add patch cherry-picked upstream to fix dvipdf script;
    closes: bug#941163, thanks to Alexis Bienvenüe

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2019 17:57:01 +0100

ghostscript (9.50~dfsg-3) unstable; urgency=medium

  * add patch cherry-picked upstream to remove .forceput from /.charkeys;
    closes: bug#944760 (CVE-2019-14869); thanks to Salvatore Bonaccorso
  * unfuzz patches 2007 2009

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2019 00:13:36 +0100

ghostscript (9.50~dfsg-2) unstable; urgency=medium

  * Build-depend on libfreetype-dev (not libfreetype6-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Oct 2019 15:56:44 +0200

ghostscript (9.50~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Oct 2019 15:42:41 +0200

ghostscript (9.28~~rc4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.1.
  * Update symbols file: 1 private symbol added.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 10:58:26 +0200

ghostscript (9.28~~rc3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Fix tighten to build-depend on libjbig2dec0-dev
    new enough to provide pkg-config file
    (required since Ghostscript 9.28 rc1).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Sep 2019 17:15:43 +0200

ghostscript (9.28~~rc2~dfsg-2) unstable; urgency=medium

  * Mark ghostscript-doc as Multi-Arch: foreign.
  * Update watch file:
    + Simplify regular expressions.
    + Rewrite usage comment.
  * Simplify rules: Use autoreconf.
    Build-depend on dh-autoreconf (not explicitly autoconf).
  * Fix link with libjbig2dec
    by including pkg-config file with that package,
    needed by ghostscript 9.28.
    Update symbols file: 6 private symbols added,

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2019 05:13:48 +0200

ghostscript (9.28~~rc2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Update git-buildpackage config: Use dep14 git branch debian/master.
  * Unfuzz patch 2009,
    and extend to cover privacy leak in doc/Internal.htm.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Sep 2019 14:40:13 +0200

ghostscript (9.28~~rc1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Add NEWS entry about redefined option -dSAFER.
  * Drop obsolete upstream cherry-picked patches.
  * Unfuzz and update patches.
  * Update copyright info: Stop track a file no longer shipped upstream.
  * Update symbols:
    + 8 public symbols added.
    + 65 private symbols added.
    + 22 private symbols dropped.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2019 11:20:52 +0200

ghostscript (9.27~dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload (with maintainers approval).
  * protect use of .forceput with executeonly (CVE-2019-10216)
    (Closes: #934638)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 13 Aug 2019 09:49:11 +0200

ghostscript (9.27~dfsg-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.4.0.
  * Symlink bas53 fonts from fonts-urw-base35.
    Build-depend on rename.
    (Build-)depend on fonts-urw-base35, and stop recommend gsfonts.
    Closes: Bug#613912, 932897.
    Thanks to Fabian Greffrath and Julian Wollrath.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Jul 2019 12:45:28 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ghostscript-doc`.
